<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Stationären Entlassungsbericht erzeugen (1.2.276.0.76.3.1.261.1.77.1.4.4 2018-05-25T00:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:hl7-org:pharm" prefix="XXX"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario sentldguv -->

   <!-- StationaererEntlassbericht -->
   <pattern>
      <title>StationaererEntlassbericht</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.1.2']]"
                 see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.1.2-2018-08-24T094853.html">(StationaererEntlassbericht): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.1.2']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.3.1.261.1.10.1.2-2018-08-24T094853.sch"/>
   <include href="include/1.2.276.0.76.3.1.261.1.10.1.2-2018-08-24T094853-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- AnnotationComment -->
   <include href="include/1.2.276.0.76.10.4015-2014-11-15T000000.sch"/>
   <!-- Einzeldosierungen -->
   <include href="include/1.2.276.0.76.10.4023-2018-11-01T000000.sch"/>
   <!-- MedicationStatementDoseInstruction -->
   <include href="include/1.2.276.0.76.10.4024-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2017-06-04T000000.sch"/>
   <!-- Problemconcernactcedis -->
   <include href="include/1.2.276.0.76.10.4039-2015-03-03T000000.sch"/>
   <!-- Problemobservationcedis -->
   <include href="include/1.2.276.0.76.10.4040-2015-09-18T000000.sch"/>
   <!-- PriorityPreference -->
   <include href="include/1.2.276.0.76.10.4076-2015-12-06T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2017-06-26T143128.sch"/>
   <!-- PrognosisObservation -->
   <include href="include/1.2.276.0.76.10.4078-2015-12-06T000000.sch"/>
   <!-- DiagnoseObservation -->
   <include href="include/1.2.276.0.76.10.4080-2015-12-06T000000.sch"/>
   <!-- Indication -->
   <include href="include/1.2.276.0.76.10.4084-2017-02-01T000000.sch"/>
   <!-- ProcedureActivityProcedure -->
   <include href="include/1.2.276.0.76.10.4085-2017-02-01T000000.sch"/>
   <!-- EncounterReference -->
   <include href="include/1.2.276.0.76.10.4087-2017-02-03T000000.sch"/>
   <!-- ManifestationObservation -->
   <include href="include/1.2.276.0.76.10.4093-2017-04-09T000000.sch"/>
   <!-- EtiologyObservation -->
   <include href="include/1.2.276.0.76.10.4094-2017-04-09T000000.sch"/>
   <!-- CitizenshipObservation -->
   <include href="include/1.2.276.0.76.10.4288-2018-06-04T000000.sch"/>
   <!-- Unfallbetrieb -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.sch"/>
   <!-- TemporaryDisablementSectionDGUV -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.sch"/>
   <!-- BeruflicheWiedereingliederung -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.sch"/>
   <!-- DGUVChiefcomplaintreasonforvisit -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.sch"/>
   <!-- Medicationcurrent -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.sch"/>
   <!-- Injuryeventsummary2 -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.sch"/>
   <!-- PatientDetailSection -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.sch"/>
   <!-- PatientEmploymentObservationOrganizerEntry -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.10-2018-06-04T000000.sch"/>
   <!-- EmploymentOccupation -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.11-2018-06-04T000000.sch"/>
   <!-- PflegeunfallObservation -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.13-2018-06-04T000000.sch"/>
   <!-- DiagnoseObservation2 -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.sch"/>
   <!-- BegruendungderBedenken -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.sch"/>
   <!-- StufenweiseWiedereingliederung -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.sch"/>
   <!-- VerletzungnachVerletzungsartenverzeichnis  -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.2-2017-11-16T220521.sch"/>
   <!-- TemporaryDisablementObservation -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.21-2018-06-18T082743.sch"/>
   <!-- VerordnungsstatusHeilHilfsmittel -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.sch"/>
   <!-- RehaMassnahmenOrganizer -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.sch"/>
   <!-- RehaMassnahme -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.sch"/>
   <!-- CDASupplyHH -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.sch"/>
   <!-- KonsiliarbefundDGUV -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.28-2018-08-14T150801.sch"/>
   <!-- Expectedinabilitytowork -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.sch"/>
   <!-- Verletzungsartenverzeichnis  -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.sch"/>
   <!-- ProcedureActivityProceduredguv -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.sch"/>
   <!-- BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.sch"/>
   <!-- KlassifikationObservation -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.sch"/>
   <!-- Unfalldetail2 -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.sch"/>
   <!-- PatientDemographicObservationOrganizerEntry -->
   <include href="include/1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.sch"/>

</schema>
