<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.5
Name: Patient Detail Section
Description: Details zum Patienten bezüglich Betrieb und Beschäftigung, Staatsangehörigkeit, Privatversicherung, Pflegeunfall.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000">
   <title>Patient Detail Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]
Item: (PatientDetailSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]
Item: (PatientDetailSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]"
         id="d42e5361-false-d19770e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(PatientDetailSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(PatientDetailSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']) &gt;= 1">(PatientDetailSection): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']) &lt;= 1">(PatientDetailSection): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '74208-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(PatientDetailSection): Element hl7:code[(@code = '74208-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:title) &lt;= 1">(PatientDetailSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:text) &lt;= 1">(PatientDetailSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]) &gt;= 1">(PatientDetailSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]) &lt;= 1">(PatientDetailSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]]) &gt;= 1">(PatientDetailSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]]) &lt;= 1">(PatientDetailSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.13']]]) &lt;= 1">(PatientDetailSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.13']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']
Item: (PatientDetailSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']"
         id="d42e5367-false-d19849e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDetailSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.5')">(PatientDetailSection): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.5' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:code[(@code = '74208-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (PatientDetailSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:code[(@code = '74208-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e5372-false-d19864e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDetailSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="@nullFlavor or (@code='74208-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Demographic information+history of occupation')">(PatientDetailSection): Der Elementinhalt MUSS einer von 'code '74208-0' codeSystem '2.16.840.1.113883.6.1' displayName='Demographic information+history of occupation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:title
Item: (PatientDetailSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:title"
         id="d42e5377-false-d19880e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDetailSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:text
Item: (PatientDetailSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:text"
         id="d42e5380-false-d19890e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDetailSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]
Item: (PatientDetailSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(PatientDetailSection): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PatientDetailSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]]
Item: (PatientDetailSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.10']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(PatientDetailSection): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PatientDetailSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.5
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.13']]]
Item: (PatientDetailSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.5']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.13']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(PatientDetailSection): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.5-2018-06-04T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PatientDetailSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>
</pattern>
