<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.14
Name: Diagnose Observation
Description: Dieses Template spiegelt eine konkrete Beobachtung über das Problem bzw. die Diagnose eines Patienten wider. Weil es sich um eine abgeschlossene Beobachtung handelt, ist der statusCode immer "completed". 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000">
   <title>Diagnose Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]
Item: (DiagnoseObservation2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]"
         id="d42e5709-false-d20376e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="string(@classCode) = ('OBS')">(DiagnoseObservation2): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="string(@moodCode) = ('EVN')">(DiagnoseObservation2): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']) &gt;= 1">(DiagnoseObservation2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']) &lt;= 1">(DiagnoseObservation2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:id) &gt;= 1">(DiagnoseObservation2): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DiagnoseObservation2): Element hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DiagnoseObservation2): Element hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:text) &lt;= 1">(DiagnoseObservation2): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(DiagnoseObservation2): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(DiagnoseObservation2): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:effectiveTime[hl7:low]) &gt;= 1">(DiagnoseObservation2): Element hl7:effectiveTime[hl7:low] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(DiagnoseObservation2): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:value) &gt;= 1">(DiagnoseObservation2): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:value) &lt;= 1">(DiagnoseObservation2): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']"
         id="d42e5715-false-d20454e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.14')">(DiagnoseObservation2): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.14' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:id
Item: (DiagnoseObservation2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:code[(@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5722-false-d20474e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="@nullFlavor or (@code='8651-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Hospital discharge Dx')">(DiagnoseObservation2): Der Elementinhalt MUSS einer von 'code '8651-2' codeSystem '2.16.840.1.113883.6.1' displayName='Hospital discharge Dx'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:text
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:text"
         id="d42e5728-false-d20487e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:reference) &gt;= 1">(DiagnoseObservation2): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:reference) &lt;= 1">(DiagnoseObservation2): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:text/hl7:reference
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:text/hl7:reference"
         id="d42e5733-false-d20506e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="@value">(DiagnoseObservation2): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:statusCode[@code = 'completed']
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:statusCode[@code = 'completed']"
         id="d42e5743-false-d20521e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(DiagnoseObservation2): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:effectiveTime[hl7:low]
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:effectiveTime[hl7:low]"
         id="d42e5748-false-d20534e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:low) &gt;= 1">(DiagnoseObservation2): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:low) &lt;= 1">(DiagnoseObservation2): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:high) &lt;= 1">(DiagnoseObservation2): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (DiagnoseObservation2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (DiagnoseObservation2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value"
         id="d42e5777-false-d20572e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:originalText) &lt;= 1">(DiagnoseObservation2): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:qualifier [hl7:name/@code='ACCRELA']) &lt;= 1">(DiagnoseObservation2): Element hl7:qualifier [hl7:name/@code='ACCRELA'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:originalText
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:originalText"
         id="d42e5779-false-d20593e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']"
         id="d42e5791-false-d20601e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')]) &gt;= 1">(DiagnoseObservation2): Element hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')]) &lt;= 1">(DiagnoseObservation2): Element hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(DiagnoseObservation2): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(DiagnoseObservation2): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']/hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')]
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']/hl7:name[(@code = 'ACCRELA' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100')]"
         id="d42e5806-false-d20633e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="@nullFlavor or (@code='ACCRELA' and @codeSystem='1.2.276.0.76.3.1.261.1.10.5.100')">(DiagnoseObservation2): Der Elementinhalt MUSS einer von 'code 'ACCRELA' codeSystem '1.2.276.0.76.3.1.261.1.10.5.100'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (DiagnoseObservation2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:value/hl7:qualifier [hl7:name/@code='ACCRELA']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e5811-false-d20652e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.11-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(DiagnoseObservation2): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.11 Typisierung Unfallabhängkeit (DGUV) (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]
Item: (DiagnoseObservation2)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.14']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.14-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(DiagnoseObservation2): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
